Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class MinMaxExtractorPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn
              org.joone.util.MinMaxExtractorPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class MinMaxExtractorPlugIn

extends ConverterPlugIn

Extracts from the time series the inversion points, setting its range from MIN_VALUE to MAX_VALUE. Example: Input series: (doesn't matter the range of the input values) /\ /\ / \/ / \/ / Output series: (normalized in the range MIN_VALUE - MAX_VALUE) MAX_VALUE------------ /\ /\ / \ / \ / \/ \/ MIN_VALUE------------ (29/09/00 13.47.22)

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` | `MinMaxExtractorPlugIn.PointValue`

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`MinMaxExtractorPlugIn()` constructor MinMaxExtractorSynapse.

Method Summary
`protected boolean` | `convert(int serie)` Executes the extraction of the inversion points (29/09/00 15.12.32)
`double` | `getMinChangePercentage()` Get the min percentage of change accepted to consider a point as a turning point (29/09/00 18.46.53)
`void` | `setMinChangePercentage(double newMinPerc)` Set the min percentage of change accepted to consider a point as a turning point (29/09/00 18.46.53)

Methods inherited from class org.joone.util.ConverterPlugIn
`isApplyEveryCycle, newCycle, setApplyEveryCycle`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinMaxExtractorPlugIn

    public MinMaxExtractorPlugIn()

  constructor MinMaxExtractorSynapse.

Method Detail

### convert

    protected boolean convert(int serie)

  Executes the extraction of the inversion points (29/09/00 15.12.32)

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - int

### getMinChangePercentage

    public double getMinChangePercentage()

  Get the min percentage of change accepted to consider a point as a turning point (29/09/00 18.46.53)

  Returns:
    double

### setMinChangePercentage

    public void setMinChangePercentage(double newMinPerc)

  Set the min percentage of change accepted to consider a point as a turning point (29/09/00 18.46.53)

  Parameters:
    `newMinPerc` - double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net